Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbrain.qlink.chat
Class Game

    java.lang.Object
      |
      +--org.jbrain.qlink.chat.Game

public class Game
extends java.lang.Object

Constructor Summary
`Game(QRoom room, QSeat seat, GameDelegate delegate)`

Method Summary
`void` | `acceptInvite()`
`void` | `acceptRestart()`
`void` | `addListener(GameEventListener listener)`
`boolean` | `addPlayer(org.jbrain.qlink.user.QHandle handle)`
`boolean` | `canContinue()`
`void` | `declineInvite()`
`void` | `declineRestart()`
`java.util.List` | `getAbstainList()`
`int` | `getID()`
`java.lang.String` | `getName()`
`SeatInfo[]` | `getPlayers()`
`byte[]` | `getPlayOrder()`
`boolean` | `isActive()`
`void` | `leave()`
`void` | `readyToStart()`
`void` | `removeListener(GameEventListener listener)`
`void` | `requestLoad()`
`void` | `requestRestart()`
`void` | `restart()`
`void` | `send(java.lang.String text)`
`void` | `start()`
`void` | `terminate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Game

    public Game(QRoom room,
                QSeat seat,
                GameDelegate delegate)

Parameters:
  `delegate` -

Method Detail

### acceptInvite

    public void acceptInvite()

### declineInvite

    public void declineInvite()

### addListener

    public void addListener(GameEventListener listener)

### addPlayer

    public boolean addPlayer(org.jbrain.qlink.user.QHandle handle)
                      throws UserNotInRoomException

  Throws:
    `UserMismatchException`
    `UserNotInRoomException`

### getPlayers

    public SeatInfo[] getPlayers()

  Returns:

### getPlayOrder

    public byte[] getPlayOrder()

  Returns:

### terminate

    public void terminate()

### removeListener

    public void removeListener(GameEventListener listener)

### canContinue

    public boolean canContinue()

  Returns:

### send

    public void send(java.lang.String text)

  Parameters:
    `text` -

### requestRestart

    public void requestRestart()

### acceptRestart

    public void acceptRestart()

### requestLoad

    public void requestLoad()

### readyToStart

    public void readyToStart()

### getAbstainList

    public java.util.List getAbstainList()

### leave

    public void leave()

### restart

    public void restart()

### isActive

    public boolean isActive()

  Returns:

### start

    public void start()

### declineRestart

    public void declineRestart()

### getName

    public java.lang.String getName()

  Returns:

### getID

    public int getID()

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD